/* IMPORT RESOURCES */

@font-face {
    font-family: 'braile'; /*a name to be used later*/
    src: url("../fonts/braile.ttf"); /*URL to font*/
}

@font-face {
    font-family: 'carlito'; /*a name to be used later*/
    src: url("../fonts/Carlito-Regular.ttf"); /*URL to font*/
}

@font-face {
    font-family: 'carlitobold'; /*a name to be used later*/
    src: url("../fonts/Carlito-Bold.ttf"); /*URL to font*/
}

@font-face {
    font-family: 'carlitoitalic'; /*a name to be used later*/
    src: url("../fonts/Carlito-Italic.ttf"); /*URL to font*/
}

a { /*remove underline from urls*/
    text-decoration: none;
    color: inherit;
}

button{
    padding: 0;
    display: block;
}

body{
    margin:0;
    background-color: black;
}

/* TOP NAV BAR */
#navblock{
    position: sticky;
    width: 100%;
    height: 4rem;
    background-color: black;
    z-index: 2;
}

#navaccent{
     width: 100%;
     height: .4em;
     background-color: #71F4FF;
     position:absolute;
     z-index: 2;
     top: 3.2em;
     z-index: 3;
}

#navtext{
    font-size: 35px;
    color:white;
    font-family: "carlito";
    letter-spacing: .02em;
    padding-left: 1%;
    padding-right:1%;
    z-index: 4;
}

#homepagebutton{
    float: left;
    padding-left: 1%;
    padding-right:1%;
    padding-top: .1em;
    text-decoration: underline;
    z-index: 6;
}

@media only screen and (min-width: 771px) {
    #navgrouped{
        visibility: visible;
        right:.2em;
        position: absolute;
        padding-left: 1%;
        padding-right:1%;
        padding-top: .1em;
        & a{
            text-decoration: underline;
            padding:.5em;
        };
        z-index: 6;
    }
    #hamburgermenu{
        visibility: hidden;
        display: inline-block;
    }

    #hamburgerLinksHolder{
        visibility: hidden;
        display: inline-block;
    }

    .hamburgercontained{
        visibility: hidden;
        color:white;
    }

}

#hamburgermenu{
     position:absolute;
        top:.5rem;
        right:.5rem;
        width: 2rem;
}

/* hamburgerify */
@media only screen and (max-width: 770px) {
    #navgrouped{
        visibility: hidden;
    }
    #hamburgermenu{
        visibility: visible;
    }

    #hamburgerLinksHolder{
        visibility: hidden;
        display:flex;
        flex-direction: column;
        width: 8rem;
        height:10rem;
        position: absolute;
        top: 4rem;
        right:0rem;
        padding-right:.7rem;
        background-color: black;
    }

    .hamburgercontained{
        color:white;
        width:100%;
        font-size: 2rem;
        text-decoration: underline;
        padding-top: .6rem;
        text-align: right;
        font-family: "carlito";
    }

}

h1{
    color: white;
    font-family: times;
    text-align: center;
    font-size: 6vw;
    margin:0;
    margin-top:3vw;
}

h2{
    color: white;
    font-family: times;
    text-align: center;
    font-size: 3.35vw;
    margin:0;
    margin-top:-1vw;
    height:3vh;
    margin-bottom:1vw;
}

p{
    color:white;
    font-family: "carlito";
    font-size:1.6rem;
    margin-bottom:1vh;
}

ul {
    display: flex;
    flex-direction: column;
    position: relative;
    margin:0;
}

li {
    color:white;
    font-family: "carlito";
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    font-size:1.6rem;
}

/*li::before {
  content: '';
  display: inline-block;
    aspect-ratio: 35/25;
  width: clamp(.8rem, 1vw, 100%);
  background-image: url("../images/whitebullet.jpg");
  margin-right: .3vw;
  vertical-align: top;
}*/

#bodytextholder{
    padding-left: 8%;
    padding-right:8%;
    padding-top:2%;
}

.date{
    color:#FF0087;
}

.statistic{
    color:#71F4FF;
    font-family: "carlitobold";
}

.citalic{
    font-family: "carlitoitalic";
}

#contactinfofooter{
    color:white;
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-family: "carlito";
    font-size:2.25vw;
    gap:6.5%;
        padding-top: 2vh;
    padding-bottom: 3vh;
}

.bluehyperlinkunderline{
    text-decoration: underline;
    color:#71F4FF
}

#wikilink{
    display: inline-block
}

.brailetext{
    font-family: "braile";
    color: #C52C62;
    paint-order: stroke fill;
    -webkit-text-stroke: .6rem #71F4FF;
    font-size: 6rem; 
    letter-spacing: -.2rem;
    line-height: 135%;
    user-select: none;
    font-weight:lighter;
    z-index: -5;
    display: inline-block;
    width:100%;
    text-align: center;

    padding-top:3rem;
    padding-bottom:3rem;
}

textarea{
    resize: none;
}

#forminputsholder{
    display:flex;
    flex-direction: column;
    justify-content: center;
    width:60%;
    padding-left:20%;
    padding-right:20%;
    padding-bottom: 3%;
    gap:2rem;

    input{
          font-size: clamp(.9rem, 2vw, 100vw);
    font-family: "carlito";

    }

    textarea{
         font-size: clamp(.9rem, 2vw, 100vw);
    font-family: "carlito";

    }

}

#forminputtopholder{
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

input{
    width:25vw;
    aspect-ratio: 10/1;
}


.form-elt-aligner{
    display:flex;
    flex-direction: column;
    h3{
        text-align: left;
    }
}

#msgarea{
    height:20vw;
}

#submitbutton{
    background-color: #660036;
    color:white;
    text-decoration: underline;
    font-family: 'Times New Roman', Times, serif;
    font-weight: bold;
    width:20%;
    padding:1.5vw;
    align-self: center;
    font-size: 2.5vw;
    border:0;
}

h3{
    color: white;
    font-family: times;
    text-align: center;
    font-size: clamp(1.5rem, 3.35vw, 100vw);
    margin:0;
}

#bullet{
    display: inline;
    margin:0;
}

.bullet{
    display: inline;
    margin:0;
    padding-right:clamp(.5rem, .5vw, 100%);
    user-select: none;
}